Subject: [v6ops] "IPv6-only" v6ops interim?

From: Fred Baker <[email-masked]>
Date: Wed, 2 Aug 2017 08:14:49 -0700

A question has come to me about a potential "IPv6-only" interim meeting, which we would do by webex, probably in mid-September. Now if only there was a single hour in which everyone in the world was likely to be awake... I have included some of the remarks made in that context.

I have set the "reply-to" to "v6ops-chairs", which is to say Ron, Lee, and myself. I'd appreciate it if folks who wanted to post an internet draft during August and discuss it in such an Interim would reply to the chairs to tell us of their interest. On this list, I'd be happy to see discussion of possible operational and protocol outcomes of such a meeting, which might be distributed here, to 6man, or to sunset4 as appropriate.

> This long thread might make a nice topic for a v6ops interim, around establishing and documenting best practice?  Or are the various NAT64, DSLite, MAP camps too far apart?

> It's possible that the discussion has gone on so long because there's no agreement on whether this is a v6ops issue or a sunset4 issue.   To me it's a sunset4 issue.   So I see the value in it as helping to do real-world gap analysis on what needs to be finished to make it possible to turn off IPv4 on the wire.
> 
> It's possible that other participants in the discussion see it as more of a question of best practices.   But I don't actually see how we, the IETF, can really weigh in on that topic right now.   The reality is that each of the transition technologies addresses a slightly different use case.   MAP addresses the "we need IPv4-as-a-service on the wire" use case.   NAT64 addresses the "we need IPv4-as-a-service without IPv4-on-the-wire" use case.   DS-Lite addresses the "we want to sell really big machines in the data center" use case (sorry, couldn't resist).

> Another good interim topic would be on enterprise v6-only networking, building on Marcus’ presentation, which I’ve attached as you probably weren’t there.  But I digress :)